#
# spec file for package rubygem-ethon
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ethon
Version:        0.9.0
Release:        1.1
%define mod_name ethon
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/typhoeus/ethon
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Libcurl wrapper
License:        MIT
Group:          Development/Languages/Ruby

%description
Very lightweight libcurl wrapper.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Apr 29 2016 coolo@suse.com
- updated to version 0.9.0
  see installed CHANGELOG.md
* Thu Jan 21 2016 coolo@suse.com
- updated to version 0.8.1
  see installed CHANGELOG.md
* Fri Sep 18 2015 coolo@suse.com
- updated to version 0.8.0
  see installed CHANGELOG.md
* Sat Jun 20 2015 coolo@suse.com
- updated to version 0.7.4
  see installed CHANGELOG.md
* Sat Feb 21 2015 coolo@suse.com
- updated to version 0.7.3
* Mon Feb  9 2015 coolo@suse.com
- updated to version 0.7.2
* Fri Oct 17 2014 coolo@suse.com
- updated to version 0.7.1
  * MS Windows determination delegated to `Gem.windows?` for better accuracy.
  * FFI data-types updated to work on MS Windows.
  Not backwards compatible changes:
  * `mime-types` are no longer a dependency. The gem will be still used if available to determine the mime type of a file which is uploaded.
    That means you have to have take care of the gem installation yourself.
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Fri Mar 21 2014 coolo@suse.com
- updated to version 0.7.0
  Not backwards compatible changes:
  * `mime-types` are no longer a dependency. The gem will be still used if available to determine the mime type of a file which is uploaded. That means you have to have take care of the gem installation yourself.
  [Full Changelog](https://github.com/typhoeus/ethon/compare/v0.6.2...0.7.0)
* Sat Feb 22 2014 coolo@suse.com
- updated to version 0.6.3
  [Full Changelog](https://github.com/typhoeus/ethon/compare/v0.6.2...v0.6.3)
* Sat Dec 21 2013 coolo@suse.com
- updated to version 0.6.2
  [#]# 0.6.2
  [Full Changelog](https://github.com/typhoeus/ethon/compare/v0.6.1...v0.6.2)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 0.6.1
  [Full Changelog](https://github.com/typhoeus/ethon/compare/v0.5.12...v0.6.0)
  The changelog entries are coming soon!
  Bugfixes:
  * URL-encode nullbytes in parameters instead of escaping them to `\\0`.
    ([Tasos Laskos](https://github.com/zapotek)
* Fri May 10 2013 coolo@suse.com
- updated to version 0.5.12
  [Full Changelog](https://github.com/typhoeus/ethon/compare/v0.5.11...v0.5.12)
  Enhancements:
  * Performance optimizations.
  ([Kyle Oppenheim](https://github.com/koppenheim) and [Richie Vos](https://github.com/richievos), [\#48](https://github.com/typhoeus/ethon/pull/48))
  * Reuse memory pointer.
  ([Richie Vos](https://github.com/richievos), [\#49](https://github.com/typhoeus/ethon/pull/49))
  Bugfixes:
  * Fix windows install.
  ([Derik Olsson](https://github.com/derikolsson), [\#47](https://github.com/typhoeus/ethon/pull/47))
  * Handle urls that already contain query params.
  ([Turner King](https://github.com/turnerking ), [\#45](https://github.com/typhoeus/ethon/pull/45))
  [#]# 0.5.11
  [Full Changelog](https://github.com/typhoeus/ethon/compare/v0.5.10...v0.5.11)
  Enhancements:
  * Add support for postredirs, unrestricted_auth.
  * Add support for cookie, cookiejar, cookiefile.
  ([erwanlr](https://github.com/erwanlr), [\#46](https://github.com/typhoeus/ethon/pull/46))
  * Relax ffi requirements.
  ([voxik](https://github.com/voxik), [\#40](https://github.com/typhoeus/ethon/pull/40))
  * Various documentation improvements.
  ([Craig Little](https://github.com/craiglittle))
  Bugfixes:
  * Fix the memory leaks.
  ([Richie Vos](https://github.com/richievos), [\#45](https://github.com/typhoeus/ethon/pull/45))
* Fri Dec 28 2012 coolo@suse.com
- initial package (version 0.5.7)
